#include <stdio.h>
#include <stdlib.h>
#include <math.h>
unsigned long long brojcifara(unsigned long long);
unsigned long long racun(unsigned long long, unsigned long long, unsigned long long);
int main()
{
    unsigned long long a, b, c, max;
    scanf("%llu %llu %llu", &a, &b, &c);

    max = racun(a, b, c);
    if(racun(a, c, b) > max)
        max = racun(a, c, b);
    if(racun(b, c, a) > max)
        max = racun(b, c, a);
    if(racun(b, a, c) > max)
        max = racun(b, a, c);
    if(racun(c, a, b) > max)
        max = racun(c, a, b);
    if(racun(c, b, a) > max)
        max = racun(c, b, a);

    printf("%llu", max);

    return 0;
}
unsigned long long brojcifara(unsigned long long n)
{
    unsigned long long br;
    for(br = 0; n > 0; n /= 10)
        br++;
        return br;
        }
unsigned long long racun(unsigned long long x, unsigned long long z, unsigned long long y)
{
    return x * pow(10, brojcifara(y) + brojcifara(z)) + y * pow(10, brojcifara(z)) + z;
}